org.icefaces.ace.component.messages

## Interface IMessages

- All Known Implementing Classes:
    Messages, MessagesBase

      public interface IMessages

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChangeEffect()`
    `java.lang.String` | `getChangeEffectDuration()`
    `java.lang.String` | `getInitEffect()`
    `java.lang.String` | `getInitEffectDuration()`
    `java.lang.String` | `getLang()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isEscape()`
    `void` | `setChangeEffect(java.lang.String changeEffect)`
    `void` | `setChangeEffectDuration(java.lang.String changeEffectDuration)`
    `void` | `setEscape(boolean escape)`
    `void` | `setInitEffect(java.lang.String initEffect)`
    `void` | `setInitEffectDuration(java.lang.String initEffectDuration)`
    `void` | `setLang(java.lang.String lang)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTitle(java.lang.String title)`

- - ### Method Detail

    - #### setChangeEffect

          void setChangeEffect(java.lang.String changeEffect)

    - #### getChangeEffect

          java.lang.String getChangeEffect()

    - #### setChangeEffectDuration

          void setChangeEffectDuration(java.lang.String changeEffectDuration)

    - #### getChangeEffectDuration

          java.lang.String getChangeEffectDuration()

    - #### setEscape

          void setEscape(boolean escape)

    - #### isEscape

          boolean isEscape()

    - #### setInitEffect

          void setInitEffect(java.lang.String initEffect)

    - #### getInitEffect

          java.lang.String getInitEffect()

    - #### setInitEffectDuration

          void setInitEffectDuration(java.lang.String initEffectDuration)

    - #### getInitEffectDuration

          java.lang.String getInitEffectDuration()

    - #### setLang

          void setLang(java.lang.String lang)

    - #### getLang

          java.lang.String getLang()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTitle

          void setTitle(java.lang.String title)

    - #### getTitle

          java.lang.String getTitle()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.